"use strict";
require('adapter-min.js')
__globalAdapter.init();

require('cocos/cocos2d-js-min.js');//未勾选引擎分离
__globalAdapter.adaptEngine();
require('./ccRequire');
require('./src/settings');
require('./main');

cc.view._maxPixelRatio = 4;

if (cc.sys.platform !== cc.sys.WECHAT_GAME_SUB) {
  // Release Image objects after uploaded gl texture
  cc.macro.CLEANUP_IMAGE_CACHE = true;
}
const DHMiniSDK = require('./libs/dh-mini-sdk-for-wx-2.0.0.js')
window['dhSDK'] = new DHMiniSDK({
  requests: {
    login: "https://dm-sdk-login-cn.dmtemp.com", // 登录服务接口地址
    pay: "https://dm-sdk-pay-cn.dmtemp.com", // 支付服务接口地址（H5支付）
    midas: "https://dm-hsdk-notify-cn.dmtemp.com", // 支付服务接口地址（米大师支付）
    survey: "https://dm-mservice-cn.dmtemp.com", // 问卷调查服务接口地址
    customerService: "https://dm-sdk-pay-cn.dmtemp.com", // H5客服服务接口地址
    gameClub: "https://dm-sdk-sec-cn.dmtemp.com", // 游戏圈服务接口地址
    log: "https://dm-ups-sdk-log-cn.dmtemp.com", // 数据上报服务接口地址
    errorLog: "https://dm-ups-sdk-error-cn.dmtemp.com" // 日志上报服务接口地址
  },
  gameAppId: "wx682b8117455c9f91", // 游戏在微信侧的 AppID
  appId: "1515472718", // 游戏在SDK开放平台侧的 AppID
  appVersion: "0.0.12", // 游戏的版本号
  packageName: "com.zhetian.official", // 游戏的应用包名
  channel: 1398, // 游戏渠道包ID
  mainChannel: 100761, // 推广主渠道ID
  secondChannel: 100762, // 推广次渠道ID
  heartbeatEnable: true, // 是否开启心跳数据上报，若开启，则SDK将每隔一分钟向服务器发送一条心跳数据
  reyunAppKey: "", // 游戏的热云 AppKey，不启用热云数据上报时请置空或移除该参数
  gravityEngineAccessToken: "UgtLkcuqbKqzpYooRf73dvMgeyw6lswl", // 游戏的引力引擎 Access Token，不启用引力引擎数据上报时请置空或移除该参数
  gravityEnginePayEventEnable: false, // 注意，此参数为 true 时表示引力引擎付费事件由客户端上报，为 false 时表示引力引擎付费事件由服务端上报；默认为 true，设为 false 时，请于SDK中台系统配置服务端上报相关参数
  gravityEngineDebug:false,//显式开启或关团引力引擎数据上报的调试模式，默认根据游戏当前的体验环境自动设置，正式版下为，false，开发版或体验版下为true ;开启调试模式后，可以在引力控制台“设置>元数据>事件流”中查看实时数据上报结果
  // tencentUserActionId: "xxxxxxxxxx", // 腾讯广告平台相关联的数据源ID，如：100001
  // tencentSecretKey: "xxxxxxxxxx" // 腾讯广告平台相关联的加密密钥，如：5e853xxxxxxd57a690xxxxxxxxxx
});
// window['TDAnalytics'] = require('./libs/thinkingdata.mg.cocoscreator.min.js')
window['TDAnalytics'] = require('./libs/tdanalytics.mg.cocoscreator.min.js')
window.boot();